Bug#597864: libproxy0 not functional without libmozjs2d

Josselin Mouette joss at debian.org
Thu Sep 23 21:45:44 UTC 2010

Le jeudi 23 septembre 2010 à 19:55 +0200, Emilio Pozuelo Monfort a
écrit : 
> That's not true. libproxy can autodetect the proxy configuration from several
> places, libmozjs being one of them. But if you don't have it, it can still
> autodetect it from GConf (for GNOME), some KDE mechanism (I'm not a KDE guy!),
> your environment, a configuration file... so we don't force anything to be
> installed, because you most likely have installed something so that libproxy can
> autodetect the proxy settings.

libmozjs is necessary to parse JavaScript in proxy.pac files.

It would be really interesting to build again libproxy with
Webkit/JavaScriptCore support. The circular dependency loop makes it
hard, but it avoids this situation.

 .''`.      Josselin Mouette
: :' :
`. `'  “If you behave this way because you are blackmailed by someone,
  `-    […] I will see what I can do for you.”  -- Jörg Schilling
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 190 bytes
Desc: This is a digitally signed message part
URL: <http://lists.alioth.debian.org/pipermail/pkg-gnome-maintainers/attachments/20100923/2a675c75/attachment.pgp>

More information about the pkg-gnome-maintainers mailing list